Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.tools
Interface IdeToolContext

public interface IdeToolContext

Interface `IdeToolContext` defines menu placement for a tool. Actually it works if you only save the tool with the "tool" prefix in config. Defines the Together popup menu where this tool will appear.

Author:
  TogetherSoft

Field Summary
`final static String` | `DIRECTORY` Setting context to DIRECTORYmakes the tool appear in the context menu of directory in directory navigator.
`final static String` | `ELEMENT` Setting context to ELEMENT will make tool appear in context menu of element in diagram & model navigator .
`final static String` | `FILE` Setting context to FILE makes the tool appear in the file context menu of the directory navigator.
`final static String` | `MAIN_MENU` Setting context to ELEMENT will make tool appear in context menu of main menu.
`final static String` | `SOURCE` Setting context to SOURCE will make tool appear in context menu of those elements which correspond to source files - java , cpp etc.

Field Detail

### DIRECTORY

    public final static String DIRECTORY

  Setting context to DIRECTORYmakes the tool appear in the context menu of directory in directory navigator.

### ELEMENT

    public final static String ELEMENT

  Setting context to ELEMENT will make tool appear in context menu of element in diagram & model navigator .

### FILE

    public final static String FILE

  Setting context to FILE makes the tool appear in the file context menu of the directory navigator.

### MAIN_MENU

    public final static String MAIN_MENU

  Setting context to ELEMENT will make tool appear in context menu of main menu.

### SOURCE

    public final static String SOURCE

  Setting context to SOURCE will make tool appear in context menu of those elements which correspond to source files - java , cpp etc.

Association Links

to Class java.lang.String

  Setting context to FILE makes the tool appear in the file context menu of the directory navigator.

to Class java.lang.String

  Setting context to DIRECTORYmakes the tool appear in the context menu of directory in directory navigator.

to Class java.lang.String

  Setting context to SOURCE will make tool appear in context menu of those elements which correspond to source files - java , cpp etc.

to Class java.lang.String

  Setting context to ELEMENT will make tool appear in context menu of element in diagram & model navigator .

to Class java.lang.String

  Setting context to ELEMENT will make tool appear in context menu of main menu.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD